package org.blue.club.services;

import com.mybatisflex.core.paginate.Page;
import com.mybatisflex.core.query.QueryCondition;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.blue.club.dao.ClubDao;
import org.blue.club.entities.vo.data.ClubVo;
import org.mmga.spring.boot.starter.entities.PagerData;
import org.mmga.spring.boot.starter.entities.Result;
import org.springframework.stereotype.Service;

@Service
@RequiredArgsConstructor
@Slf4j
public class ClubServices {
    private final ClubDao clubDao;

    public Result<PagerData<ClubVo>> getClubs(Integer page, Integer num) {
        Page<ClubVo> data = clubDao.paginate(page, num, QueryCondition.createEmpty());
        return Result.success(new PagerData<>(data.getTotalRow(), data.getRecords()));
    }
}
